=== etc/Makefile ===
# Extended Module Player etc/Makefile
# $Id: Makefile,v 1.1.1.1 1998/10/19 16:56:48 claudio Exp $

DFILES	= Makefile magic xmp.conf rpmrc xmp.spec xmp.spec.in xmp.lsm \
	  xmp-modules.conf
DDIRS	=
CFILES	=
DCFILES	=

all: xmp.spec

subdist:: all

include ../Makefile.rules

install::
	@echo Installing /etc/xmp.conf and /etc/xmp-modules.conf...
	@if [ -f /etc/xmp.conf ]; then \
	    mv -f /etc/xmp.conf /etc/xmp.conf.old; \
	fi
	@if [ -f /etc/xmp-modules.conf ]; then \
	    mv -f /etc/xmp-modules.conf /etc/xmp-modules.conf.old; \
	fi
	$(INSTALL) -m644 xmp.conf xmp-modules.conf /etc

xmp.spec: xmp.spec.in ../Makefile.rules
	cat $@.in | sed 's/@VERSION@/$(VERSION)/g' > $@
