=== src/drivers/Makefile ===
# Extended Module Player src/drivers/Makefile

XCFLAGS	= -I../include
OBJS	= $(DRIVERS)
DFILES	= Makefile file.c oss_mix.c hpux.c bsd.c solaris.c oss_seq.c \
	  alsa_mix.c esd.c sgi.c os2_dart.c netbsd.c openbsd.c
DDIRS	=
LIB	= ../../lib/libxmp.a
CFILES	=
DCFILES	=

all: $(LIB)

include ../../Makefile.rules

include depend
