=== src/include/Makefile ===
# Extended Module Player src/include/Makefile

DFILES	= Makefile config.h.in xmp.h xmpi.h effects.h period.h driver.h \
	  mixer.h xxm.h getopt.h formats.h convert.h
DDIRS	=
CFILES	=
DCFILES	= config.h

all:

include ../../Makefile.rules
