=== src/main/Makefile ===
# Extended Module Player src/main/Makefile

XCFLAGS	= -I../include $(X_INC)
OBJS	= getopt.o getopt1.o options.o
X11OBJS	= xpanel.o xstuff.o font1.o font2.o
XDEPS	=
BINS	= xmp $(X_XMP)
XLIBS	= -L../../lib -lxmp #-lefence
X11LIBS	= -lX11 -lXext
XPMS	= bg1.xpm bg2.xpm bg3.xpm
DFILES	= Makefile $(OBJS:.o=.c) $(X11OBJS:.o=.c) main.c xpanel.h $(XPMS) \
	  simple.c
DDIRS	=
CFILES	=
DCFILES	=

all: bins

include ../../Makefile.rules

bins: $(BINS)

xmp: $(OBJS) main.o ../../lib/libxmp.a
	$(LD) $(LFLAGS) $(OBJS) main.o $(LIBS)

xxmp: $(OBJS) xmain.o $(X11OBJS) ../../lib/libxmp.a
	$(LD) $(LFLAGS) $(OBJS) $(X11OBJS) xmain.o $(X_LIB) $(X11LIBS) $(LIBS)

xmain.o: main.c xpanel.h
	$(CC) $(CFLAGS) $(XCFLAGS) -DXXMP -o xmain.o main.c

install:: $(BINS)
	@echo Installing binaries in $(BIN_DIR)...
	@[ -d $(BIN_DIR) ] || mkdir -p $(BIN_DIR)
	$(INSTALL) -s -m755 $(BINS) $(BIN_DIR)

$(OBJS): ../../Makefile.rules Makefile

simple: simple.o
	$(LD) $(LFLAGS) $+ $(LIBS)

dump: dump.o
	$(LD) $(LFLAGS) $+

include depend
