=== debian/changelog ===
xmp (2.0.2-1) unstable; urgency=low

  * New release.
  * Added xmp-xmms plugin package.

 -- Claudio Matsuoka <claudio@helllabs.org>  Mon,  1 May 2000 14:41:22 -0300

xmp (2.0.1-3) unstable; urgency=low

  * Fixed rules to correctly package xmp.conf and xmp-modules.conf.
  * Added missing date in docs/ChangeLog.

 -- Claudio Matsuoka <claudio@helllabs.org>  Thu, 24 Feb 2000 13:48:59 -0200

xmp (2.0.1-2) unstable; urgency=low

  * Commented out install-docs in postinst.

 -- Claudio Matsuoka <claudio@helllabs.org>  Thu, 24 Feb 2000 09:06:33 -0200

xmp (2.0.1-1) unstable; urgency=low.

  * New release.
  * Unofficial debian package based on Tom Lees' official 1.1.3-1.

 -- Claudio Matsuoka <claudio@helllabs.org>  Sun, 13 Feb 2000 14:58:47 -0200

xmp (1.1.3-1) unstable; urgency=low

  * New release.
  * Now uses debhelper.
  * Added MIME handling.
  * Add doc-base support.

 -- Tom Lees <tom@lpsg.demon.co.uk>  Sun,  8 Mar 1998 12:05:47 +0000

xmp (1.1.0-1) unstable; urgency=low

  * New release.

 -- Tom Lees <tom@lpsg.demon.co.uk>  Thu,  1 Jan 1998 10:49:46 +0000

xmp (1.1.0dev28-1) unstable; urgency=low

  * New release.
  * Compiled for libc6.

 -- Tom Lees <tom@lpsg.demon.co.uk>  Fri, 12 Dec 1997 17:19:10 +0000

Local variables:
mode: debian-changelog
add-log-mailing-address: "tom@lpsg.demon.co.uk"
End:
