=== debian/control ===
Source: xmp
Section: sound
Priority: extra
Maintainer: claudio@helllabs.org
Standards-Version: 2.4.0.0

Package: xmp
Architecture: any
Depends: ${shlibs:Depends}
Description: XMP, a module player supporting AWE32, GUS, and software-mixing
 xmp is a multi-format module player for UNIX. In machines with GUS or
 AWE cards xmp takes advantage of the OSS sequencer to play modules with
 virtually no system load. Using software mixing, xmp plays at sampling
 rates up to 48 kHz in mono or stereo, 8 or 16 bits, signed or unsigned,
 little or big endian samples with 32 bit linear interpolation. xmp
 currently supports more than 40 module formats.

Package: xmp-xmms
Architecture: any
Depends: ${shlibs:Depends}
Description: An experimental XMP plugin for XMMS. XMP is a multi-format
 module player which currently supports more than 40 module formats.
